# Uses of Class
org.springframework.beans.factory.xml.XmlBeanDefinitionReader

Packages that use XmlBeanDefinitionReader
Package
Description
org.springframework.beans.factory.groovy
Support package for Groovy-based bean definitions.
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of XmlBeanDefinitionReader in org.springframework.beans.factory.groovy

Constructors in org.springframework.beans.factory.groovy with parameters of type XmlBeanDefinitionReader
Modifier
Constructor
Description
``
`GroovyBeanDefinitionReader(XmlBeanDefinitionReader xmlBeanDefinitionReader)`
Create a new `GroovyBeanDefinitionReader` based on the given `XmlBeanDefinitionReader`, loading bean definitions into its `BeanDefinitionRegistry` and delegating Groovy DSL loading to it.

## Uses of XmlBeanDefinitionReader in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml that return XmlBeanDefinitionReader
Modifier and Type
Method
Description
`final XmlBeanDefinitionReader`
XmlReaderContext.`getReader()`
Return the XML bean definition reader in use.
Constructors in org.springframework.beans.factory.xml with parameters of type XmlBeanDefinitionReader
Modifier
Constructor
Description
``
`XmlReaderContext(org.springframework.core.io.Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor, XmlBeanDefinitionReader reader, NamespaceHandlerResolver namespaceHandlerResolver)`
Construct a new `XmlReaderContext`.